using AbstractFoodOrdersContracts.BindingModels;
using AbstractFoodOrdersContracts.SearchModels;
using AbstractFoodOrdersContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractFoodOrdersContracts.StoragesContracts
{
    public interface IDishStorage
    {
        List<DishViewModel> GetFullList();
        List<DishViewModel> GetFilteredList(DishSearchModel model);
        DishViewModel? GetElement(DishSearchModel model);
        DishViewModel? Insert(DishBindingModel model);
        DishViewModel? Update(DishBindingModel model);
        DishViewModel? Delete(DishBindingModel model);
    }

}
